Subject: Re: [mpls] draft-sitaraman-mpls-rsvp-shared-labels - FEC validation

From: Vishnu Pavan Beeram <[email-masked]>
Date: Wed, 23 Aug 2017 02:18:56 -0400

WG, Hi!

I just realized that this wasn't responded to on the list. The authors
discussed all of the above questions with Sam in Prague and addressed all
concerns. I'm listing a couple of relevant points here on this thread (just
in case anyone else has similar questions):

(1) There are no changes to “LSP ping echo request/reply" procedures.
(2) The FEC type used is "RSVP IPv4 LSP” (RFC 8029, section 3.2.3) -- note
that this is a single e2e RSVP session.

Please do reach out to the authors if there are any further questions. At
this juncture, we would like to request the WG/chairs to consider this
draft for adoption.

Regards,
-Pavan (on behalf of the authors)

On Tue, Jul 18, 2017 at 7:02 PM, Sam Aldrin <[email-masked]> wrote:

> Draft authors,
>
> The OAM section described in the draft is sparse to minimal.
> See the mention of RFC8029, that it could be used without any changes,
> which I entirely disagree.
>
> Questions:
> 1. How are you encapsulating the LSP Ping Echo request with delegation
> labels and corresponding FEC stack TLV?
> 2. If you are saying that delegation node is going to modify the packet
> and its payload, this is entirely new mechanism and RFC8029 doesn't provide
> mechanics of it. So, add detailed content.
> 3. What is the FEC type being added for delegation label?
>
> Will comment further, based on the updated content and clarifications.
>
> -sam
>
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>
>